Index: /palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 161)
+++ /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 162)
@@ -63,7 +63,7 @@
    if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
       over = 0
-      if (stringtointeger(parameter(73)) .NE. 0) then
-         over = stringtointeger(parameter(73))
-         if (stringtointeger(parameter(73)) .NE. 1) then
+      if (stringtointeger(parameter(37)) .NE. 0) then
+         over = stringtointeger(parameter(37))
+         if (stringtointeger(parameter(37)) .NE. 1) then
             print(" ")
             print("Please set 'over' to 0 or 1")
@@ -93,4 +93,5 @@
    t_all = f->time
    nt  = dimsizes(t_all)
+   delta_t=t_all(nt-1)/nt
 
    ; ****************************************************	
@@ -99,36 +100,53 @@
 
    if ( .not. isvar("start_time_step") ) then   	
-      start_time_step = 0
-      if (parameter(13) .NE. "1") then
-         if (parameter(13) .LE. "0")
-            print(" ")
-            print("Begin with time step 1")
+      start_time_step=t_all(0)/3600
+      if (parameter(13) .NE. "t(0)") then
+         if (stringtodouble(parameter(13)) .GE. t_all(nt-1)/3600)
+            print(" ")
+            print("'start_time_step' = "+ parameter(13) +"h is equal or greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+            print(" ")
+            print("Please select another 'start_time_step'")
             print(" ")
             exit
          end if
-         if (stringtointeger(parameter(13)) .GE. nt)
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +" is greater than available time steps = " + (nt-1))
+         if (stringtofloat(parameter(13)) .LT. t_all(0)/3600)
+            print(" ")
+            print("'start_time_step' = "+ parameter(13) +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+            print(" ")
+            print("Please select another 'start_time_step'") 
             print(" ")
             exit
          end if
-         start_time_step = stringtointeger(parameter(13))-1  
+         start_time_step=stringtodouble(parameter(13)) 
       end if
    else 
-      if (start_time_step .LE. 0)
-         print(" ")
-         print("Begin with time step 1")
+      if (start_time_step .GE. t_all(nt-1)/3600)
+         print(" ")
+         print("'start_time_step' = "+ start_time_step +"h is equal or greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print(" ")
+         print("Please select another 'start_time_step'")
          print(" ")
          exit
       end if
-      if (start_time_step .GE. nt)
-         print(" ")
-         print("'start_time_step' = "+ start_time_step +" is greater than available time steps = " + (nt-1))
+      if (start_time_step .LT. t_all(0)/3600)
+         print(" ")
+         print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print(" ")
+         print("Please select another 'start_time_step'")
          print(" ")
          exit
       end if
-      start_time_step = start_time_step - 1
    end if
-
+   start_time_step = start_time_step*3600
+   do i=0,nt-2     
+      if (start_time_step .GE. t_all(i)-delta_t/2 .AND. start_time_step .LT. t_all(i)+delta_t/2)then
+         st=i
+         break
+      end if
+   end do
+   if (start_time_step .GE. t_all(nt-1)-delta_t/2 .AND. start_time_step .LT. t_all(nt-1)) then
+      st=nt-2   
+   end if
+      
    ; ****************************************************
    ; end of time step and different types of mistakes that could be done
@@ -136,47 +154,70 @@
 
    if ( .not. isvar("end_time_step") ) then     	
-      end_time_step = nt-1
-      if (parameter(15) .NE. "nt") then
-         if (parameter(15) .LE. "0")
-            print(" ")
-            print("'end_time_step' = "+parameter(15)+ " is too small; 'end_time_step' should be at least 1 ")
+      end_time_step = t_all(nt-1)/3600
+      if (parameter(15) .NE. "t(end)") then
+         if (stringtodouble(parameter(15)) .LE. t_all(0)/3600)
+            print(" ")
+            print("'end_time_step' = "+parameter(15)+ "h is lower or equal than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+            print(" ")
+            print("Please select another 'end_time_step'")
             print(" ")
             exit
          end if
-         if (stringtointeger(parameter(15)) .GE. nt)
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +" is greater than available time steps = " + (nt-1))  
+         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)
+            print(" ")
+            print("'end_time_step' = "+ parameter(15) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+            print(" ")
+            print("Please select another 'end_time_step'")  
             print(" ")
             exit
          end if
-         if (stringtointeger(parameter(15)) .LT. stringtointeger(parameter(13)) )
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +" is lower than 'start_time_step' = "+parameter(13))
+         if (stringtodouble(parameter(15)) .LE. start_time_step/3600)
+            print(" ")
+            print("'end_time_step' = "+ parameter(15) +"h is equal or lower than 'start_time_step' = "+parameter(13)+"h")
+            print(" ")
+            print("Please select another 'start_time_step' or 'end_time_step'")
             print(" ")
             exit
          end if
-         end_time_step = stringtointeger(parameter(15))-1 
+         end_time_step = stringtodouble(parameter(15))
       end if    
    else
-      if (end_time_step .LE. 0)
-         print(" ")
-         print("'end_time_step' = "+end_time_step+ " is too small; 'end_time_step' should be at least 1 ")
+      if (end_time_step .LE. t_all(0)/3600)
+         print(" ")
+         print("'end_time_step' = "+end_time_step+ "h is lower or equal than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print(" ")
+         print("Please select another 'end_time_step'")
          print(" ")
          exit
       end if
-      if (end_time_step .GE. nt)
-         print(" ")
-         print("'end_time_step' = "+ end_time_step +" is greater than available time steps = "+(nt-1))
+      if (end_time_step .GT. t_all(nt-1)/3600)
+         print(" ")
+         print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print(" ")
+         print("Please select another 'end_time_step'")  
          print(" ")
          exit
       end if
-      if (end_time_step .LT. start_time_step)
-         print(" ")
-         print("'end_time_step' = "+end_time_step +" is lower than 'start_time_step' = "+start_time_step)
+      if (end_time_step .LE. start_time_step/3600)
+         print(" ")
+         print("'end_time_step' = "+ end_time_step +"h is equal or lower than 'start_time_step' = "+start_time_step+"h")
+         print(" ")
+         print("Please select another 'start_time_step' or 'end_time_step'")
          print(" ")
          exit
       end if
-      end_time_step = end_time_step - 1
-   end if  
+   end if
+   end_time_step = end_time_step*3600
+   do i=0,nt-1     
+      if (end_time_step .GE. t_all(i)-delta_t/2 .AND. end_time_step .LT. t_all(i)+delta_t/2)then
+         et=i
+         break
+      end if
+   end do 
+ 
+   delete(start_time_step)
+   start_time_step=round(st,3)
+   delete(end_time_step)
+   end_time_step=round(et,3)
 
    t = f->time(start_time_step:end_time_step)
@@ -266,5 +307,6 @@
       plot_splptz  = gsn_csm_xy(wks_ps,t,data_0(:),res)
    end if
-  
+
+   count_var=0
    do varn = dim-1,0,1 
 
@@ -284,5 +326,6 @@
      
       if(check) then
-       
+         count_var=count_var+1
+
          data_all = f ->$vNam(varn)$ 
          unit(varn) = data_all@units
@@ -432,4 +475,13 @@
    end do
 
+   if (count_var .EQ. 0) then
+      print(" ")
+      print("Please select a variable 'var=' or use the default value")
+      print(" ")
+      print("Your selection '"+var+"' does not exist on the input file")
+      print(" ")
+      exit
+   end if 
+
    do varn = dim-1,0,1 
       
@@ -457,12 +509,9 @@
             res@tiXAxisFontHeightF   = 0.07
             res@txFontHeightF        = 0.07
-            res@tiYAxisFontHeightF   = 0.07
-            res@xyLabelMode          = "Custom"
-            
+            res@tiYAxisFontHeightF   = 0.07            
 
             if (vNam(varn) .EQ. "E")
                E=0
                res@xyLineColors     = (/237/)
-               res@xyExplicitLabels =  "E"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -474,5 +523,4 @@
                Es=0
                res@xyLineColors            = (/144/)
-               res@xyExplicitLabels =  "Es"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144
@@ -483,5 +531,4 @@
                us=0
                res@xyLineColors            = (/237/)
-               res@xyExplicitLabels =  "us"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -493,5 +540,4 @@
                ws=0
                res@xyLineColors            = (/144/)
-               res@xyExplicitLabels =  "ws"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144
@@ -502,5 +548,4 @@
                u=0
                res@xyLineColors            = (/237/)
-               res@xyExplicitLabels =  "umax"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -512,5 +557,4 @@
                v=0
                res@xyLineColors            = (/144/)
-               res@xyExplicitLabels =  "vmax"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144
@@ -520,5 +564,4 @@
                w=0
                res@xyLineColors            = (/80/)
-               res@xyExplicitLabels =  "wmax"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 80
@@ -529,5 +572,4 @@
                zw=0
                res@xyLineColors            = (/237/) 
-               res@xyExplicitLabels =  "z_i_wpt"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -539,5 +581,4 @@
                z=0
                res@xyLineColors            = (/144/)  
-               res@xyExplicitLabels =  "z_i_pt"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144 
@@ -548,5 +589,4 @@
                w0=0
                res@xyLineColors            = (/237/)
-               res@xyExplicitLabels =  "wpptp0"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -558,5 +598,4 @@
                wp=0
                res@xyLineColors            = (/144/)
-               res@xyExplicitLabels =  "wpptp"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144
@@ -566,5 +605,4 @@
                wt=0
                res@xyLineColors            = (/80/)
-               res@xyExplicitLabels =  "wpt"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 80
@@ -575,5 +613,4 @@
                p=0
                res@xyLineColors            = (/237/)
-               res@xyExplicitLabels =  "pt_0_"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -585,5 +622,4 @@
                pz=0
                res@xyLineColors            = (/144/)
-               res@xyExplicitLabels =  "pt_zp_"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144
@@ -594,5 +630,4 @@
                x=0
                res@xyLineColors            = (/237/)
-               res@xyExplicitLabels =  "splptx"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 237
@@ -604,5 +639,4 @@
                y=0
                res@xyLineColors            = (/144/)
-               res@xyExplicitLabels =  "splpty"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 144
@@ -612,5 +646,4 @@
                z=0
                res@xyLineColors            = (/80/)
-               res@xyExplicitLabels =  "splptz"
                res@xyLineLabelFontHeightF = 0.05 
                res@xyLineLabelFontColor   = 80
@@ -645,5 +678,24 @@
                overlay(plot_E,plot_Es)
                n=n+1
-               plot_ps(n) = plot_E               
+               plot_ps(n) = plot_E    
+
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"E","Es"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)            
             end if
             if (vNam(varn) .EQ. "Es" .AND. E .NE. 1) then
@@ -651,5 +703,24 @@
                overlay(plot_E,plot_Es)
                n=n+1
-               plot_ps(n) = plot_E           
+               plot_ps(n) = plot_E  
+
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"E","Es"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)         
             end if
 
@@ -659,4 +730,23 @@
                n=n+1
                plot_ps(n) = plot_us
+
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1           
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"us","ws"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if
             if (vNam(varn) .EQ. "ws" .AND. us .NE. 1) then
@@ -665,4 +755,23 @@
                n=n+1
                plot_ps(n) = plot_us
+
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"us","ws"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if
          
@@ -674,4 +783,23 @@
                   n=n+1
                   plot_ps(n) = plot_umax
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"umax","vmax","wmax"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if
             end if
@@ -683,4 +811,23 @@
                   n=n+1
                   plot_ps(n) = plot_umax
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1          
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"umax","vmax","wmax"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if
             end if
@@ -692,4 +839,23 @@
                   n=n+1
                   plot_ps(n) = plot_umax
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"umax","vmax","wmax"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if
             end if
@@ -699,5 +865,24 @@
                overlay(plot_z_i_wpt,plot_z_i_pt)
                n=n+1
-               plot_ps(n) = plot_z_i_wpt           
+               plot_ps(n) = plot_z_i_wpt 
+       
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"z_i_wpt","z_i_pt"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)          
             end if 
             if (vNam(varn) .EQ. "z_i_pt" .AND. zw .NE. 1) then
@@ -705,5 +890,24 @@
                overlay(plot_z_i_wpt,plot_z_i_pt)
                n=n+1
-               plot_ps(n) = plot_z_i_wpt           
+               plot_ps(n) = plot_z_i_wpt
+
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"z_i_wpt","z_i_pt"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)           
             end if    
          
@@ -715,4 +919,23 @@
                   n=n+1
                   plot_ps(n) = plot_wpptp0 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if            
             end if
@@ -723,5 +946,24 @@
                  overlay(plot_wpptp0,plot_wpt) 
                  n=n+1
-                 plot_ps(n) = plot_wpptp0  
+                 plot_ps(n) = plot_wpptp0
+                 
+                 ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)  
                end if           
             end if
@@ -732,5 +974,24 @@
                   overlay(plot_wpptp0,plot_wpt) 
                   n=n+1
-                  plot_ps(n) = plot_wpptp0             
+                  plot_ps(n) = plot_wpptp0
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if
             end if
@@ -740,5 +1001,24 @@
                overlay(plot_pt_0_,plot_pt_zp_)
                n=n+1 
-               plot_ps(n) = plot_pt_0_           
+               plot_ps(n) = plot_pt_0_  
+      
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"pt_0_","pt_zp_"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if 
             if (vNam(varn) .EQ. "pt_zp_" .AND. p .NE. 1) then
@@ -746,5 +1026,24 @@
                overlay(plot_pt_0_,plot_pt_zp_)
                n=n+1 
-               plot_ps(n) = plot_pt_0_           
+               plot_ps(n) = plot_pt_0_   
+
+               ; ***************************************************
+               ; legend for combined plot
+               ; ***************************************************
+      
+               lgres                    = True
+               lgMonoDashIndex          = False
+               lgres@lgLabelFont        = "helvetica"    
+               lgres@lgLabelFontHeightF = .1            
+               lgres@vpWidthF           = 0.4           
+               lgres@vpHeightF          = 0.4          
+               lgres@lgDashIndexes      = (/0,0,0/)
+               lgres@lgLineColors       = (/237,144,80/)
+               lbid = gsn_create_legend(wks_ps,2,(/"pt_0_","pt_zp_"/),lgres)       
+
+               amres = True
+               amres@amParallelPosF   = 0.6		    
+               amres@amOrthogonalPosF = -0.2            
+               annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if
             
@@ -755,5 +1054,24 @@
                   overlay(plot_splptx,plot_splptz)
                   n=n+1
-                  plot_ps(n) = plot_splptx           
+                  plot_ps(n) = plot_splptx    
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"splptx","splpty","splptz"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if
             end if 
@@ -765,4 +1083,23 @@
                   n=n+1
                   plot_ps(n) = plot_splptx
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.4           
+                  lgres@vpHeightF          = 0.4          
+                  lgres@lgDashIndexes      = (/0,0,0/)
+                  lgres@lgLineColors       = (/237,144,80/)
+                  lbid = gsn_create_legend(wks_ps,3,(/"splptx","splpty","splptz"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.6		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
                end if           
             end if 
